Puzzle / Developers
API referencePayroll

Create Payroll

POST /company/{id}/payrolls

POST/company/{id}/payrolls

Path Parameters

id*string

The company ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/company/string/payrolls" \  -H "Content-Type: application/json" \  -d '{    "accountId": "string",    "nativeId": "string",    "withdrawalDate": "string",    "checkDate": "string",    "companyDebit": {      "amount": "string",      "currency": "str"    },    "transactionAmounts": [      {        "amount": "string",        "currency": "str"      }    ],    "netPay": {      "amount": "string",      "currency": "str"    },    "reimbursements": {      "amount": "string",      "currency": "str"    },    "employerTaxes": {      "amount": "string",      "currency": "str"    },    "employeeTaxes": {      "amount": "string",      "currency": "str"    },    "employerBenefits": {      "amount": "string",      "currency": "str"    },    "employeeBenefitsDeductions": {      "amount": "string",      "currency": "str"    },    "isOffCycle": true,    "employeeCompensations": [      {        "employeeId": "string",        "grossPay": {          "amount": "string",          "currency": "str"        },        "netPay": {          "amount": "string",          "currency": "str"        },        "reimbursements": {          "amount": "string",          "currency": "str"        },        "employeeTaxes": {          "amount": "string",          "currency": "str"        },        "employerTaxes": {          "amount": "string",          "currency": "str"        },        "deductions": [          {            "name": "string",            "amount": {              "amount": "string",              "currency": "str"            },            "isPreTax": true          }        ],        "benefits": [          {            "benefitId": "string",            "employeeDeduction": {              "amount": "string",              "currency": "str"            },            "companyContribution": {              "amount": "string",              "currency": "str"            },            "isImputed": true          }        ],        "paymentMethod": "Check"      }    ],    "contractorCompensations": [      {        "contractorId": "string",        "totalAmount": {          "amount": "string",          "currency": "str"        },        "bonus": {          "amount": "string",          "currency": "str"        },        "reimbursements": {          "amount": "string",          "currency": "str"        }      }    ]  }'
{  "id": "string",  "accountId": "string",  "nativeId": "string",  "payPeriod": {    "fromInclusive": "string",    "toInclusive": "string"  },  "withdrawalDate": "string",  "checkDate": "string",  "companyDebit": {    "amount": "string",    "currency": "str"  },  "transactionAmounts": [    {      "amount": "string",      "currency": "str"    }  ],  "netPay": {    "amount": "string",    "currency": "str"  },  "reimbursements": {    "amount": "string",    "currency": "str"  },  "employerTaxes": {    "amount": "string",    "currency": "str"  },  "employeeTaxes": {    "amount": "string",    "currency": "str"  },  "employerBenefits": {    "amount": "string",    "currency": "str"  },  "employeeBenefitsDeductions": {    "amount": "string",    "currency": "str"  },  "deferredPayrollTaxes": {    "amount": "string",    "currency": "str"  },  "payrollFees": {    "amount": "string",    "currency": "str"  },  "isOffCycle": true,  "employeeCompensations": [    {      "employeeId": "string",      "grossPay": {        "amount": "string",        "currency": "str"      },      "netPay": {        "amount": "string",        "currency": "str"      },      "reimbursements": {        "amount": "string",        "currency": "str"      },      "employeeTaxes": {        "amount": "string",        "currency": "str"      },      "employerTaxes": {        "amount": "string",        "currency": "str"      },      "deductions": [        {          "name": "string",          "amount": {            "amount": "string",            "currency": "str"          },          "isPreTax": true        }      ],      "benefits": [        {          "benefitId": "string",          "employeeDeduction": {            "amount": "string",            "currency": "str"          },          "companyContribution": {            "amount": "string",            "currency": "str"          },          "isImputed": true        }      ],      "paymentMethod": "Check"    }  ],  "contractorCompensations": [    {      "contractorId": "string",      "totalAmount": {        "amount": "string",        "currency": "str"      },      "bonus": {        "amount": "string",        "currency": "str"      },      "reimbursements": {        "amount": "string",        "currency": "str"      },      "paymentMethod": "Check"    }  ]}

Schema refreshed 2026-11-11T18:57:48.657Z